package com.mortals.xhx.module.attendance.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.annotation.Excels;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.attendance.model.AttendanceStaffStatEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
/**
* 考勤汇总信息视图对象
*
* @author zxfei
* @date 2023-04-08
*/
@Data
public class AttendanceStatVo extends BaseEntityLong {


    @Excels({
            @Excel(name = "汇总内容", width = 30,  targetAttr = "attendanceSummary", type = Excel.Type.EXPORT),
            @Excel(name = "日期",  targetAttr = "day", type = Excel.Type.EXPORT),

    })
    private List<AttendanceStaffStatEntity> attendanceStaffStatEntities;


    private String startTime;
    private String endTime;



}